Skip to Content
avatar image
Former Member

Problem: J2EE Server Component Library's provider.xml error message

Hello,

I open the provider.xml fle. Then I click on the Jars tab and I get an error message:

The source page has errrors. Other pages cannot be used until these errors are

corrected.

How can I correct the error(s) so that when I click on the Jars tab it will allow me add jar files?

provider.xml content:

======================

<?xml version="1.0" encoding="utf-8"?>

<provider-descriptor>

<display-name>Store jar files that need to be used at runtime</display-name>

<component-name>global/lmco/runtime/j2ee/libs</component-name>

<description/>

<major-version>6</major-version>

<minor-version>40</minor-version>

<micro-version>0</micro-version>

lmco.com

<jars>

<jar-name>

commons-dbutils-1.0.jar

</jar-name>

</jars>

</provider-descriptor>

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • avatar image
    Former Member
    Mar 13, 2008 at 07:03 AM

    I have one provider.xml which has the dtd in it

    <?xml version='1.0' encoding='UTF-8'?>
    <!DOCTYPE provider-descriptor SYSTEM "library.provider.dtd">
    <provider-descriptor>
      <display-name>abclib</display-name>
      <component-name>abcLib</component-name>
      <description>
      </description>
      <major-version>6</major-version>
      <minor-version>1</minor-version>
      <micro-version>0</micro-version>
      <provider-name>com.company</provider-name>
      <group-name>
      </group-name>
      <references>
         <reference reference-type="hard">
         <reference-target provider-name="com.company" target-  type="library">xyzLib</reference-target>
    </reference>
    </references>
      
      <jars>
        <jar-name>aspectjrt.jar</jar-name>
        <jar-name>axiom-api-1.2.5.jar</jar-name>
        <jar-name>axiom-impl-1.2.5.jar</jar-name>
        <jar-name>nux.jar</jar-name>
        <jar-name>stax.jar</jar-name>
        <jar-name>xom.jar</jar-name>
      </jars>
    </provider-descriptor>
    
    

    check for the DOCTYPE declaration

    Regards

    Fariha

    Add comment
    10|10000 characters needed characters exceeded